<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/baseadjust.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="aboutfest.php">ABOUT FEST</a></div>
						</div>
					</div>
					<div class="back"><a href="index.php">back</a></div>
									
					<?php
						$aboutfest_id = $_GET['aboutfest_id'];
						$aboutfest_data = aboutfest_data($aboutfest_id, 'aboutfest_text', 'aboutfest_image', 'aboutfest_imagetemp');
					?>
					
					<div class="wrapper_box">
						<div class="upcoming_content">
							<div class="content_text">
								<div class="desenhobox">
									<div class="innermaskbox">
										<div class="contentbox">FEST AC</div>
									</div>
								</div>	
							</div>
							<div class="upcoming_image">
								<img src="images/fotoquadro-01.png" width="203px" height="120px" />
								<img src="uploads/aboutfest/<?php echo $aboutfest_data['aboutfest_image']; ?>" width="203px" height="auto" />	
							</div>
							<div class="upcoming_info">
								<p>CONTACT: filmlab@fest.pt</p>
							</div>
						</div>
						
						<div class="upcoming_text"><?php echo html_entity_decode(nl2br($aboutfest_data['aboutfest_text'])); ?></div>

					</div>
					
				</div>
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>