<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminaboutffl.php" />ABOUT FEST FILM LAB</a></div>
				
				<div class="adformcab">	
									
					<?php
    					$aboutffl_id = $_GET['aboutffl_id'];
						$aboutffl_data = aboutffl_data($aboutffl_id, 'aboutffl_text', 'aboutffl_image', 'aboutffl_imagetemp');
					?>
					<form action="" method="POST" enctype="multipart/form-data" >
						Choose a file:<input type="file" name="aboutffl_image" /><br />
						<img src="uploads/aboutffl/<?php echo $aboutffl_data['aboutffl_image']; ?>" width="150px" height="auto" ></br>
						</br><textarea name="text" rows="12" cols="85" maxlength="10000" class="adcab" ><?php echo html_entity_decode($aboutffl_data['aboutffl_text']); ?></textarea></br>
						<input type="submit" value="Update" class="adbutton" />
					</form>
					<?php
						if(isset($_POST['text'])) {
							
						if(isset($_FILES['aboutffl_image'])) {

    						$aboutffl_text = $_POST['text'];
							$image_name = $_FILES['aboutffl_image']['name'];
							$image_size = $_FILES['aboutffl_image']['size'];
							$image_temp = $_FILES['aboutffl_image']['tmp_name'];
							$allowed_ext = array('jpg', 'jpeg', 'png', 'gif');							
							$extension = explode('.', $image_name);
							$image_ext = strtolower(end($extension));
		
							$errors = array();
							
							if(empty($image_name)) {
								$image_name = $aboutffl_data['aboutffl_image'];
								$image_temp = $aboutffl_data['aboutffl_imagetemp'];
							}else{
								
								if(in_array($image_ext, $allowed_ext) === false) {
									$errors[] = 'File type not allowed';
								}
								
								if($image_size > 2097152) {
									$errors[] = 'Maximum file size is 2mb';
								}
								
							}
		
							if(empty($aboutffl_text)) {
								$errors[] = 'Text fields required.';
							}
		   
							if(!empty($errors)) {
								foreach ($errors as $error) {
									echo $error, '<br />';
								}
							}else {
								aboutffl_edit($aboutffl_id, $aboutffl_text, $image_name, $image_temp);
								header('Location: adminaboutffl.php');
							}
    					}
    					}	
        			?>
				</div>
				
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>