<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="admingallery.php" />GALLERY</a></div>
				<div class="adworkmenu"><a href="admingalcreate.php" />Create Album</a></div>
				<div class="workshop_wrapper">
				<?php
					$gallery = gallery_get();
					
					if(empty($gallery)) {
						echo "You don't have any album";
					}else {
						foreach ($gallery as $gallery) {
							
							$value = $gallery['workshop_id'];
							
							$workshop_data = gallery_data($value, 'workshop_name', 'workshop_title', 'workshop_hour', 'workshop_date', 'workshop_location',
											  'workshop_price', 'workshop_vacances', 'workshop_text', 'workshop_image', 'workshop_imagetemp');

							echo 
								'<div class="workshop_content"> 
									<div class="workshop_nome">',html_entity_decode($workshop_data['workshop_name']),'</br></div>
									<div class="workshop_title">',html_entity_decode($workshop_data['workshop_title']),'</br></div>
									<div class="workshop_image"><img src="uploads/workshop/',$workshop_data['workshop_image'], '" width="150px" height="auto" ></div>
									<div class="workshop_edit"><a href="admingaledit.php?workshop_id=', $gallery['workshop_id'], '">EDIT</a></br></div>
									<div class="workshop_delete"><a href="admingaldelete.php?workshop_id=', $gallery['workshop_id'], '">DELETE</a></br></div>
								</div>'
							;
						}
					}
				?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>