<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminslideshow.php" />SLIDESHOW</a></div>
				<div class="adformcab">
					
					<?php 
						
						$image_id = $_GET['image_id'];
						$image_data = image_data($image_id, 'image_name', 'image_temp', 'slideshow_title', 'slideshow_titletwo', 'slideshow_subtitle', 'slideshow_location', 'slideshow_address','slideshow_textfield');

					?>
					
					<form action="" method="POST" enctype="multipart/form-data">
						<img src="uploads/slideshow/<?php echo $image_data['image_name']; ?>" width="auto" height="150px" /></br>
						Choose a file:<input type="file" name="slideshow_image" /></br></br>
						With text?</br></br>
						Yes: <input type="radio" name="textfield" value="yes" <?php if($image_data['slideshow_textfield'] == "yes") { echo ' checked'; } ?> />
						No: <input type="radio" name="textfield" value="no" <?php if($image_data['slideshow_textfield'] == "no") { echo ' checked'; } ?> /></br></br>
						Title: <input type="text" name="title" class="adcab" maxlength="35" value="<?php echo html_entity_decode($image_data['slideshow_title']); ?>" /></br>
						Title Two: <input type="text" name="titletwo" class="adcab" maxlength="35" value="<?php echo html_entity_decode($image_data['slideshow_titletwo']); ?>" /></br>
						Sub-title: <input type="text" name="subtitle" class="adcab" maxlength="35" value="<?php echo html_entity_decode($image_data['slideshow_subtitle']); ?>" /></br>
						Location: <input type="text" name="location" class="adcab" maxlength="35" value="<?php echo html_entity_decode($image_data['slideshow_location']); ?>" /></br>
						Address: <input type="text" name="address" class="adcab" maxlength="50" value="<?php echo html_entity_decode($image_data['slideshow_address']); ?>" /></br>
						<input type="submit" value="Upload" class="adbutton" />
					</form>
					
					<?php
						if(isset($_FILES['slideshow_image'],$_POST['title'],$_POST['titletwo'],$_POST['subtitle'],$_POST['location'],$_POST['address'])) {
							
							if(isset($_POST['textfield'])) {
								$image_name = $_FILES['slideshow_image']['name'];
								$image_size = $_FILES['slideshow_image']['size'];
								$image_temp = $_FILES['slideshow_image']['tmp_name'];		
								$allowed_ext = array('jpg', 'jpeg', 'png', 'gif');
								$extension = explode('.', $image_name);
								$image_ext = strtolower(end($extension));
								$textfield = $_POST['textfield'];
								$slideshow_title = $_POST['title'];
								$slideshow_titletwo = $_POST['titletwo'];
								$slideshow_subtitle = $_POST['subtitle'];
								$slideshow_location = $_POST['location'];
								$slideshow_address = $_POST['address'];
								
								$errors = array();
								
								if(empty($image_name)) {
									$image_name = $image_data['image_name'];
									$image_temp = $image_data['image_temp'];
								}else{
									if(empty($image_name) || empty($textfield)) {
										$errors[] = 'Something is missing';
									}else{
										
										if(in_array($image_ext, $allowed_ext) === false) {
											$errors[] = 'File type not allowed';
										}
										
										if($image_size > 2097152) {
											$errors[] = 'Maximum file size is 2mb';
										}
									}
								}
									
								if(empty($slideshow_title)) {$slideshow_title = "empty";}
								if(empty($slideshow_titletwo)) {$slideshow_titletwo = "empty";}
								if(empty($slideshow_subtitle)) {$slideshow_subtitle = "empty";}
								if(empty($slideshow_location)) {$slideshow_location = "empty";}
								if(empty($slideshow_address)) {$slideshow_address = "empty";}
	
								if(!empty($errors)) {
									foreach($errors as $error) {
										echo $error, '<br />';
									}
								}else {
									update_image($image_id, $image_name, $image_temp, $slideshow_title, $slideshow_titletwo, $slideshow_subtitle, $slideshow_location, $slideshow_address, $textfield);
									header('Location: adminslideshow.php');
									exit();
								}
							}echo "Something is missing";
						}
					?>
					
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>