<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminslideshow.php" />SLIDESHOW</a></div>
				<div class="adworkmenu"><a href="adminslidecreate.php" />Create Image</a></div>
				<div class="adformcab">
					
					<?php 
						$slideshow = image_get(); 
						$result_count = 1;
						
						if(empty($slideshow)) {
							echo "You don't have any image";
						}else {
							foreach ($slideshow as $slideshow) {
									echo 
										'<div class="slideshow_show"> 
											<img src="uploads/slideshow/',$slideshow['name'], '" width="auto" height="150px" >
											<div class="slideshow_edit">
												IMAGEM '.$result_count.' - 
												<a href="adminslideedit.php?image_id=', $slideshow['id'], '"> EDIT </a>
												<a href="adminslidedelete.php?image_id=', $slideshow['id'], '"> DELETE </a>
											</div>
										</div>'
									;
									$result_count = $result_count + 1;
							}
						}
					?>
	
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>