<?php
	include 'init.php';
	
	if(!isset($_GET['testimonial_id']) || empty($_GET['testimonial_id']) || testimonial_check($_GET['testimonial_id']) === false) {
		header('Location: admintestimonial.php');
		exit();	
	}
	
	if(logged_in()) {
				 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="admintestimonial.php" />TESTIMONIAL</a></div>
				
				<div class="adformcab">
					<?php
						$testimonial_id = $_GET['testimonial_id'];
						$testimonial_data = testimonial_data($testimonial_id, 'testimonial_name', 'testimonial_text', 'testimonial_image', 'testimonial_imagetemp');
					?>
					<form action="" method="POST" enctype="multipart/form-data" >
						Name: <input type="text" name="testimonial_name" class="adcab" maxlength="35" value="<?php echo html_entity_decode($testimonial_data['testimonial_name']); ?>" /></br>
						Choose a file:<input type="file" name="testimonial_image" /><br />
						<img src="uploads/testimonials/<?php echo $testimonial_data['testimonial_image']; ?>" width="150px" height="auto" ></br>
						Text: <textarea name="testimonial_text" rows="12" cols="85" maxlength="10000" class="adcab" ><?php echo html_entity_decode($testimonial_data['testimonial_text']); ?></textarea><br /><br />
						<input type="submit" value="Update" class="adbutton" />
					</form>
					<?php
						if(isset($_POST['testimonial_name'], $_POST['testimonial_text'])) {
    					
						if(isset($_FILES['testimonial_image'])) {
						
    						$testimonial_name = $_POST['testimonial_name'];
							$testimonial_text = $_POST['testimonial_text'];
							$image_name = $_FILES['testimonial_image']['name'];
							$image_size = $_FILES['testimonial_image']['size'];
							$image_temp = $_FILES['testimonial_image']['tmp_name'];
							$allowed_ext = array('jpg', 'jpeg', 'png', 'gif');							
							$extension = explode('.', $image_name);
							$image_ext = strtolower(end($extension));
		
							$errors = array();
							
							if(empty($image_name)) {
								$image_name = $testimonial_data['testimonial_image'];
								$image_temp = $testimonial_data['testimonial_imagetemp'];
							}else{
								
								if(in_array($image_ext, $allowed_ext) === false) {
									$errors[] = 'File type not allowed';
								}
								
								if($image_size > 2097152) {
									$errors[] = 'Maximum file size is 2mb';
								}
								
							}
		
							if(empty($testimonial_name) || empty($testimonial_text)) {
								$errors[] = 'Testimonial fields required.';
							}
		   
							if(!empty($errors)) {
								foreach ($errors as $error) {
									echo $error, '<br />';
								}
							}else {
								testimonial_edit($testimonial_id, $testimonial_name, $testimonial_text, $image_name, $image_temp);
								header('Location: admintestimonial.php');
							}
    					}	
						}
					?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
		exit();
	}
?>
