<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminworkshop.php" />WORKSHOP</a></div>
				<div class="adworkmenu"><a href="adminwscreate.php" />Create Workshop</a></div>
				<div class="workshop_wrapper">
					<?php
						$workshop = workshop_get();
						
						if(empty($workshop)) {
							echo "You don't have any workshop";
						}else {
							foreach ($workshop as $workshop) {
								echo 
									'<div class="workshop_content"> 
										<div class="workshop_nome">',html_entity_decode($workshop['name']),'</br></div>
										<div class="workshop_title">',html_entity_decode($workshop['title']),'</br></div>
										<div class="workshop_image"><img src="uploads/workshop/',$workshop['image'], '" width="150px" height="auto" ></div>
										<div class="workshop_edit"><a href="adminwsedit.php?workshop_id=', $workshop['id'], '">EDIT</a></br></div>
										<div class="workshop_delete"><a href="adminwsdelete.php?workshop_id=', $workshop['id'], '">DELETE</a></br></div>
									</div>'
								;
							}
						}
					?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>