<?php
	include 'init.php';
	
	if(!isset($_GET['workshop_id']) || empty($_GET['workshop_id']) || workshop_check($_GET['workshop_id']) === false) {
		header('Location: adminworkshop.php');
		exit();	
	}
	
	if(logged_in()) {
				 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminworkshop.php" />WORKSHOP</a></div>
				<div class="adformcab">
					<?php
						$workshop_id = $_GET['workshop_id'];
						$workshop_data = workshop_data($workshop_id, 'workshop_name', 'workshop_title', 'workshop_hour', 'workshop_date', 'workshop_location',
											  'workshop_price', 'workshop_vacances', 'workshop_text', 'workshop_image', 'workshop_imagetemp', 'workshop_pay');
					?>
					<form action="" method="POST" enctype="multipart/form-data" >
						Name: <input type="text" name="workshop_name" class="adcab" maxlength="35" value="<?php echo html_entity_decode($workshop_data['workshop_name']); ?>" /></br>
						Title: <input type="text" name="workshop_title" class="adcab" maxlength="35" value="<?php echo html_entity_decode($workshop_data['workshop_title']); ?>" /></br>
						Duration: <input type="text" name="workshop_hour" class="adcab" maxlength="35" value="<?php echo $workshop_data['workshop_hour']; ?>"  /></br>
						Start date: <input type="date" name="workshop_date" class="adcab" maxlength="35" value="<?php echo $workshop_data['workshop_date']; ?>"  /></br>
						End date: <input type="date" name="workshop_enddate" class="adcab" maxlength="35" value="<?php echo $workshop_data['workshop_date']; ?>"  /></br>
						Location: <input type="text" name="workshop_location" class="adcab" maxlength="35" value="<?php echo html_entity_decode($workshop_data['workshop_location']); ?>" /></br>
						Price: <input type="text" name="workshop_price" class="adcab" maxlength="35" value="<?php echo $workshop_data['workshop_price']; ?>"  /></br>
						Vacances: <input type="text" name="workshop_vacances" class="adcab" maxlength="35" value="<?php echo $workshop_data['workshop_vacances']; ?>"  /></br>
						Choose a file:<input type="file" name="workshop_image" /><br /><img src="uploads/workshop/<?php echo $workshop_data['workshop_image']; ?>" width="150px" height="auto" ></br>
						Text: <textarea name="workshop_text" rows="12" cols="85" maxlength="10000" class="adcab" ><?php echo html_entity_decode($workshop_data['workshop_text']); ?></textarea><br /><br />
						PayPal: <textarea name="workshop_pay" rows="12" cols="85" maxlength="10000" class="adcab" ><?php echo $workshop_data['workshop_pay']; ?></textarea><br /><br />
						<input type="submit" value="Update" class="adbutton" />
					</form>
					<?php
						if(isset($_POST['workshop_name'], $_POST['workshop_title'], $_POST['workshop_hour'],$_POST['workshop_date'],$_POST['workshop_enddate'],
			 					 $_POST['workshop_location'],$_POST['workshop_price'],$_POST['workshop_vacances'],$_POST['workshop_text'],$_POST['workshop_pay'])) {
    					
						if(isset($_FILES['workshop_image'])) {
						
    						$workshop_name = $_POST['workshop_name'];
							$workshop_title = $_POST['workshop_title'];
							$workshop_hour = $_POST['workshop_hour'];
							$workshop_date = $_POST['workshop_date'];
							$workshop_enddate = $_POST['workshop_enddate'];
							$workshop_location = $_POST['workshop_location'];
							$workshop_price = $_POST['workshop_price'];
							$workshop_vacances = $_POST['workshop_vacances'];
							$workshop_text = $_POST['workshop_text'];
							$workshop_pay = $_POST['workshop_pay'];
							$image_name = $_FILES['workshop_image']['name'];
							$image_size = $_FILES['workshop_image']['size'];
							$image_temp = $_FILES['workshop_image']['tmp_name'];
							$allowed_ext = array('jpg', 'jpeg', 'png', 'gif');							
							$extension = explode('.', $image_name);
							$image_ext = strtolower(end($extension));
		
							$errors = array();
							
							if(empty($image_name)) {
								$image_name = $workshop_data['workshop_image'];
								$image_temp = $workshop_data['workshop_imagetemp'];
							}else{
								
								if(in_array($image_ext, $allowed_ext) === false) {
									$errors[] = 'File type not allowed';
								}
								
								if($image_size > 2097152) {
									$errors[] = 'Maximum file size is 2mb';
								}
								
							}
		
							if(empty($workshop_name) || empty($workshop_title) || empty($workshop_hour) ||
		  						empty($workshop_date) || empty($workshop_enddate) || empty($workshop_location) || empty($workshop_price) || 
		   						empty($workshop_vacances) || empty($workshop_text) || empty($workshop_pay)) {
								$errors[] = 'Workshop fields required.';
							}
		   
							if(!empty($errors)) {
								foreach ($errors as $error) {
									echo $error, '<br />';
								}
							}else {
								workshop_edit($workshop_id, $workshop_name, $workshop_title, $workshop_hour, 
												$workshop_date, $workshop_enddate , $workshop_location, $workshop_price, 
												$workshop_vacances, $workshop_text, $image_name, $image_temp, $workshop_pay);
								header('Location: adminworkshop.php');
							}
    					}	
						}
					?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
		exit();
	}
?>
