<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="workshop_list.php">CONTACT</a></div>
						</div>
					</div>
					<div class="back"><a href="<?php echo $http_referer; ?>">back</a></div>
					
					<div class="wrapper_box">
						<div class="content_gallery_ws">

							<div class="gallery_desenho">
								<div class="gallery_innermask">
									<div class="gallery_content"><a href="workshop_list.php">FEST FILM LAB</a></div>
								</div>
							</div>
		
							<div class="contact">
								<form action="" method="POST" >
									Name: <input type="text" name="name" class="contact_form" /></br>
									Email: <input type="text" name="email" class="contact_form" /></br>
									Subject: <input type="text" name="subject" class="contact_form" /></br>
									Text: <textarea name="text" rows="12" cols="70" class="contact_form" ></textarea><br />
									<input type="submit" value="SEND" class="contact_button" />
								</form>
								<?php 
			    					if(isset($_POST['name'], $_POST['email'], $_POST['subject'], $_POST['text'])) {
									
			    						$name = $_POST['name'];
										$email = $_POST['email'];
										$subject = $_POST['subject'];
										$text = $_POST['text'];
					
										$errors = array();
			
										if(empty($name) || empty($email) || empty($subject) || empty($text)) {
											$errors[] = 'Text fields required.';
										}
					   
										if(!empty($errors)) {
											foreach ($errors as $error) {
												echo $error, '<br />';
											}
										}else {
											send_email($name,$email,$subject,$text);
										}
									}
									
									function send_email($name,$email,$subject,$message) {
										$from="From: $name<$email>"; 
								        mail("filmlab@fest.pt", $subject, $message, $from); 
								        echo "Email sent!"; 
									}
			        			?>
								
							</div>	
							
						</div>
					</div>
					
				</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>