<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script type="text/javascript" src="script/jquery-ui-1.8.2.custom.min.js"></script>
		<script type="text/javascript" src="script/pirobox_extended.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/gallery_photo.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		<script src="script/centering_images.js"></script>
		<script src="script/centering_photos_gal.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">
		<link rel="stylesheet" type="text/css" href="css_pirobox/style_1/style.css"/>
		
	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="gallery.php">GALLERY</a></div>
						</div>
					</div>
					<div class="back"><a href="<?php echo $http_referer; ?>">back</a></div>
					
					<?php
						$workshop_id = $_GET['workshop_id'];
						$workshop_data = workshop_data($workshop_id, 'workshop_name', 'workshop_title', 'workshop_hour', 'workshop_date', 'workshop_location',
													   'workshop_price', 'workshop_vacances', 'workshop_text', 'workshop_image', 'workshop_imagetemp', 'workshop_pay');
						$gallery = gallery_get_image($workshop_id);
						$workshop_date = $workshop_data['workshop_date'];
					?>
					
					<div class="wrapper_box">
						<div class="content_gallery_ws">

							<div class="gallery_desenho">
								<div class="gallery_innermask">
									<div class="gallery_content"><a href="gallery.php"><?php echo html_entity_decode($workshop_data['workshop_name']); ?></a></div>
								</div>
							</div>
		
							<div id="gallery_photo_ws">
								<?php
									
									if(empty($gallery)) {
										echo "You don't have any image";
									}else {
										foreach ($gallery as $gallery) {
											echo '
													<div class="gallery_workshops_photo" >
														<div class="image_workshop_photo">
															<a href="uploads/gallery/',$workshop_id,'/',$gallery['gallery_image'], '" rel="gallery"  class="pirobox_gall" title="',html_entity_decode($workshop_data['workshop_name']) ,' ',html_entity_decode($workshop_data['workshop_title']) ,'" >
																<img src="uploads/gallery/',$workshop_id,'/',$gallery['gallery_image'], '" width="130px" height="auto" >
															</a>
														</div>
													</div>
											';
										}
									}
								?>
							</div>	
							<script type="text/javascript">
								$(document).ready(function() {
								    $().piroBox_ext({
								        piro_speed : 900,
								        bg_alpha : 0.1,
								        piro_scroll : true //pirobox always positioned at the center of the page
								    });
								});
							</script>
						</div>
					</div>
					
				</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>