<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		
		<script src="script/slideshow.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		<script src="script/centering_images.js"></script>
		<script src="script/centering_photos.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
				
				<div class="upcoming_workshops"><?php include("templates/upcoming_workshops.php"); ?></div>
				<div class="past_workshops"><?php include("templates/past_workshops.php"); ?></div>		
				<div class="gallery"><?php include("templates/gallery_workshops.php"); ?></div>
				<div class="testemunho"><?php include("templates/testemunho.php"); ?></div>
				
			</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>