<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="terms_conditions.php">TERMS AND CONDITIONS</a></div>
						</div>
					</div>
					<div class="back"><a href="<?php echo $http_referer; ?>">back</a></div>
					
					<div class="wrapper_box">
						<div class="content_gallery_ws">

							<div class="gallery_desenho">
								<div class="gallery_innermask">
									<div class="gallery_content"><a href="aboutffl.php?aboutffl_id=1">FEST FILM LAB</a></div>
								</div>
							</div>
		
							<div class="terms">
								1. By registering it is implied that you accept the terms and conditions applied to the service. It is the responsibility of the user to analyse all the information published here before proceeding with the registration. The organization reserves the right to change the terms and conditions without previous notice. These changes will be published on the official website and will consider valid from that moment onwards. 
								
								</br></br>2. No booking will be considered valid until FEST – AC receives the total value of the registration. 
								
								</br></br>3. The registrations cannot be re-utilized or returned, unless in case of cancelation of the session, yet if it is possible and reasonable, the name of the registration can be changed for another person to attend the session. Please bear in mind that FEST – AC will not be responsible for travel expenses, or any other additional expense, in case of cancelation. FEST – AC will equally not be responsible for any monetary compensation in case of timetable changes or cancelations. FEST – AC is also not responsible for any compensation or devolution in case of absence of the event by the participant for any major reason (ie: situations our of the sphere of control of FEST – AC, such as war or threat of war; riots; civil unrest; industrial dispute; airport shutdowns; flight cancelations; terrorist activity; natural disaster; nuclear disaster; fire, adverse weather conditions; or similar situations) 
								
								</br></br>4. There is a chance that the organization might have to make alterations regarding dates or timetables, either due to changes in the professional schedule of the workshop speakers or due to travel difficulties. These alterations are beyond our control and will not be cause for reimbursement.
								
								</br></br>5. There won't be any devolutions or reimbursements in case of absence by the participant for professional, personal or health reasons. 
								
								</br></br>6. The registration will be considered invalid in case of illicit resale. 
								
								</br></br>7. The participants are responsible for checking the veracity of the information during the registration and report any errors or mistakes as soon as possible. 
								
								</br></br>8. FEST – AC reserves the right to refuse entry and reimbursements in case of abusive behaviour, physical and psychological threats, drunk or disrespectful attitude. The same is applied in case the participant tries to enter the event with any object considered as a weapon or with any illegal substance. 
								
								</br></br>9. FEST – AC will not be considered responsible for the loss or destruction of private property of the participant, nor will it be responsible for any medical or hospital expenses in case of injury or illness inflicted during the event nor on its installations or in the city that is hosting the event. For this exact reason the organization advises the participants to acquire health and travel insurance against all possible risks. 
							</div>	
							
						</div>
					</div>
					
				</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>