<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="testimonials.php">TESTIMONIALS</a></div>
						</div>
					</div>
					<div class="back"><a href="<?php echo $http_referer; ?>">back</a></div>
					
					<div class="wrapper_box">
						<div class="content_gallery_ws">

							<div class="gallery_desenho">
								<div class="gallery_innermask">
									<div class="gallery_content"><a href="testimonials.php">LATEST ENTRYS</a></div>
								</div>
							</div>
		
							<div class="gallery_photo_ws">
								<?php
									$testimonial = testimonial_get();
									$counter = 1;
									
									foreach ($testimonial as $testimonial) {	
										echo '
											<a href="testimonial.php?testimonial_id=', $testimonial['id'], '">
											
											<div class="gallery_workshops_ws" >
											
												<div class="image_workshop">
													<img src="uploads/testimonials/',$testimonial['image'],'" width="130px" height="auto" />
												</div>
												
												<div class="gallery_number">',html_entity_decode($testimonial['name']),'</div>
												<div class="gallery_info">TESTIMONIAL ',$counter,'</div>
												
												<div class="gallery_link">
													<div class="gallery_link_mask">
														<div class="gallery_mais">+</div>
													</div>
												</div>
												
											</div>
											
											</a>
										';
										$counter = $counter + 1;
									}
								?>
							</div>	
							
						</div>
					</div>
					
				</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>