<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="adminaboutfest.php" />ABOUT FEST</a></div>
				
				<div class="cabecalho_wrapper">
				<?php
					$about = aboutfest_get();
					
					if(empty($about)) {
						echo "You don't have any about";
					}else {
						foreach ($about as $about) {
								echo 
									'
										<div id="cabecalho_galery">
											<a href="adminaboutfestedit.php?aboutfest_id=', $about['id'], '" />Edit </a></br></br>
											<img src="uploads/aboutfest/',$about['image'], '" width="150px" height="auto" ></br></br>
											',html_entity_decode(nl2br($about['text'])),'</br>								
										</div>
									'
								;
						}
					}
				?>
				</div>
				
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>