<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="admincabecalho.php" />CABEÇALHO</a></div>
				<div class="adformcab">					
					<?php
    					$cabecalho_id = $_GET['cabecalho_id'];
						$cabecalho_data = cabecalho_data($cabecalho_id, 'cabecalho_texto');
					?>
					<form action="" method="POST" >
						Text: <input type="text" name="text" class="adcab" maxlength="100" value="<?php echo html_entity_decode($cabecalho_data['cabecalho_texto']); ?>" /></br>
						<input type="submit" value="Update" class="adbutton" />
					</form>
					<?php
						if(isset($_POST['text'])) {
						
    						$cabecalho_text = $_POST['text'];
		
							$errors = array();
		
							if(empty($cabecalho_text)) {
								$errors[] = 'Text fields required.';
							}
		   
							if(!empty($errors)) {
								foreach ($errors as $error) {
									echo $error, '<br />';
								}
							}else {
								cabecalho_edit($cabecalho_id, $cabecalho_text);
								header('Location: admincabecalho.php');
							}
    					}	
        			?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>