<?php
	include 'init.php';
	
	if(logged_in()) {
				 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
			
			<?php $workshop = workshop_get(); ?>
			
			<div id="admincab">
				<div class="adtitle"><a href="admingallery.php" />GALLERY</a></div>
				<div class="adformcab">
					<form action="" method="POST" enctype="multipart/form-data" >
						
						Choose a Workshop: 
							<select name="workshop_id" class="adcab">
								<?php
									foreach($workshop as $workshop) {
										echo '<option value="', $workshop['id'],'">',$workshop['date'],' ', html_entity_decode($workshop['name']), '</option>';
									}
								?>
								<option value=""></option>
							</select></br></br>
							
						Choose a file:<input type="file" name="gallery_image[]" multiple="multiple" /><br /></br>
						
						<input type="submit" value="Upload" class="adbutton" />
					</form>
					<?php
						if(isset($_POST['workshop_id'])) {

						if(isset($_FILES['gallery_image'])) {
								
							$workshop_id = $_POST['workshop_id'];
							$workshop_data = workshop_data($workshop_id, 'workshop_name', 'workshop_title', 'workshop_hour', 'workshop_date', 'workshop_location',
											  'workshop_price', 'workshop_vacances', 'workshop_text', 'workshop_image', 'workshop_imagetemp');
											  
							$workshop_date = $workshop_data['workshop_date'];
							
							if(is_array($_FILES['gallery_image']['tmp_name'])){
								
								foreach($_FILES['gallery_image']['tmp_name'] as $key => $value) {	
									
									$image_name = $_FILES['gallery_image']['name'][$key];
									$image_size = $_FILES['gallery_image']['size'][$key];
									$image_temp = $_FILES['gallery_image']['tmp_name'][$key];
									$allowed_ext = array('jpg', 'jpeg', 'png', 'gif');							
									$extension = explode('.', $image_name);
									$image_ext = strtolower(end($extension));
									
									$errors = array();
									
									if(empty($image_name)) {
										$errors[] = 'Image is missing';
									}else{
										
										if(in_array($image_ext, $allowed_ext) === false) {
											$errors[] = 'File type not allowed';
										}
										
										if($image_size > 2097152) {
											$errors[] = 'Maximum file size is 2mb';
										}
										
									}
				
									if(empty($workshop_id)) {
										$errors[] = 'Workshop fields required.';
									}
				   
									if(!empty($errors)) {
										foreach ($errors as $error) {
											echo $error, '<br />';
										}
									}else {
										gallery_create($workshop_id, $workshop_date, $image_name, $image_temp);
										header('Location: admingallery.php');
									}
		    					}
	    					}
    					}	
						}
					?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>
