<?php
	include 'init.php';
	
	if(logged_in()) {		 
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Administrador</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />

		<link rel="stylesheet" type="text/css" href="css/administrador.css">
	</head>

	<body>		
		<div id="base">
				
			<div id="menu">
				<?php include 'widgets/adminmenu.php' ?>
			</div>
		
			<div id="admincab">
				<div class="adtitle"><a href="admintestimonial.php" />TESTIMONIAL</a></div>
				<div class="adworkmenu"><a href="admintestcreate.php" />Create Testimonial</a></div>
				<div class="workshop_wrapper">
				<?php
					$testimonial = testimonial_get();
					
					if(empty($testimonial)) {
						echo "You don't have any testimonial";
					}else {
						foreach ($testimonial as $testimonial) {
							echo 
								'<div class="workshop_content"> 
									<div class="workshop_nome">',html_entity_decode($testimonial['name']),'</br></div>
									<div class="workshop_image"><img src="uploads/testimonials/',$testimonial['image'], '" width="150px" height="auto" ></div>
									<div class="workshop_edit"><a href="admintestedit.php?testimonial_id=', $testimonial['id'], '">EDIT</a></br></div>
									<div class="workshop_delete"><a href="admintestdelete.php?testimonial_id=', $testimonial['id'], '">DELETE</a></br></div>
								</div>'
							;
						}
					}
				?>
				</div>
			</div>
								
		</div>		
	</body>
</html>
<?php 		
	}else{
		header('Location: adminlogin.php'); 
	}
?>