<?php
    include 'init.php';
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>Fest Film Lab</title>
		<meta name="description" content="" />
		<meta name="author" content="Alvaro Figueiredo" />
		<meta name="viewport" content="width=device-width; initial-scale=1.0" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="apple-touch-icon" href="/apple-touch-icon.png" />
		
		<script src="script/jquery.easing.1.3.js"></script>
		<script src="script/jquery-1.7.js"></script>
		<script src="script/jquery.cycle.all.js"></script>
		<script src="script/slideshow.js"></script>
		<script src="script/menu_animation.js"></script>
		<script src="script/gallery.js"></script>
		<script src="script/page_loading.js"></script>
		<script src="script/baseadjust.js"></script>
		
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="css/header.css">
		<link rel="stylesheet" type="text/css" href="css/aside.css">
		<link rel="stylesheet" type="text/css" href="css/wrapper.css">
		<link rel="stylesheet" type="text/css" href="css/gallery.css">
		<link rel="stylesheet" type="text/css" href="css/workshop.css">

	</head>

	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/pt_PT/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div id="base">
			<?php
				include("templates/header.php");
				include("templates/aside.php");
			?>
			
			<div id="wrapper">
					
					<div class="linetitleone"> </div>
					<div class="linetitletwo"> </div>
					<div class="linetitlethree"> </div>
	
					<div class="desenhotitulo">
						<div class="innermask">
							<div class="content"><a href="gallery.php">GALLERY</a></div>
						</div>
					</div>
					<div class="back"><a href="<?php echo $http_referer; ?>">back</a></div>
					
					<div class="wrapper_box">
						<div class="content_gallery_ws">

							<div class="gallery_desenho">
								<div class="gallery_innermask">
									<div class="gallery_content"><a href="gallery.php">ALL WORKSHOPS</a></div>
								</div>
							</div>
		
							<div class="gallery_photo_ws">
								<?php
								$gallery = gallery_get();
										
								if(empty($gallery)) {
									echo "You don't have any album";
								}else {
									foreach ($gallery as $gallery) {

										$value = $gallery['workshop_id'];
												
										$workshop_data = gallery_data($value, 'workshop_name', 'workshop_title', 'workshop_hour', 'workshop_date', 'workshop_enddate', 'workshop_location',
																      'workshop_price', 'workshop_vacances', 'workshop_text', 'workshop_image', 'workshop_imagetemp');
										
										$start_day = $workshop_data['workshop_date'];
										$end_day = $workshop_data['workshop_enddate'];
										
										$start = explode('-',$start_day);
										$start[0]; //year
										$start[1]; //month
										$start[2]; //day
										
										$end = explode('-',$end_day);
										$end[0]; //year
										$end[1]; //month
										$end[2]; //day
											
										echo '
											<a href="gallery_workshop.php?workshop_id=', $gallery['workshop_id'], '">
											
											<div class="gallery_workshops" >
												
												<div class="image_workshop">
													<img src="uploads/workshop/',$workshop_data['workshop_image'],'" width="130px" height="auto" />
												</div>
												<div class="gallery_number">',html_entity_decode($workshop_data['workshop_name']),'</div>
												<div class="gallery_info">',html_entity_decode($workshop_data['workshop_title']),'</br>'.$start[2].'/'.$end[2].'.'.$end[1].'.'.$end[0].'</br>',html_entity_decode($workshop_data['workshop_location']),'</div>
											
												<div class="gallery_link">
													<div class="gallery_link_mask">
														<div class="gallery_mais">+</div>
													</div>
												</div>
												
											</div>
											
											</a>
										';
									}
								}
								?>
							</div>	
							
						</div>
					</div>
					
				</div>	
			<?php include("templates/footer.php"); ?>
		</div>
		
	</body>
</html>